package com.xxfc.platform.vehicle.mapper;

import com.xxfc.platform.vehicle.entity.VehicleWarningMsg;
import com.xxfc.platform.vehicle.pojo.QueryVehicleWarningMsgVo;
import com.xxfc.platform.vehicle.pojo.VehicleWarningMsgQueryVo;
import com.xxfc.platform.vehicle.pojo.dto.VehiclePlanDto;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface VehicleWarningMsgMapper extends Mapper<VehicleWarningMsg> {


    public List<VehicleWarningMsg> getByPage(QueryVehicleWarningMsgVo queryVehicleWarningMsgVo);

    public List<VehicleWarningMsg> getByPages(QueryVehicleWarningMsgVo queryVehicleWarningMsgVo);

    public List<VehicleWarningMsg> getMsgByVehicle(String vehicleId);

    public List<VehicleWarningMsgQueryVo> getAllByparam(VehiclePlanDto vehiclePlanDto);

}
